<div class='gridContainer dx-card'>
    <dx-data-grid #gridST [allowColumnResizing]='true' [columnAutoWidth]='true'
        (onEditorPreparing)="onStockUpdate($event)" [rowAlternationEnabled]='ds.rowAlternationEnabled'
        [showColumnLines]='ds.showColumnLines' [showRowLines]='ds.showRowLines'
        (onCellPrepared)='onCellPrepared($event)' [dataSource]='dsStock' [height]='gridHeight'
        (onToolbarPreparing)='toolbarPreparingStation($event)'>
        <dxo-editing mode="cell" [allowUpdating]='ds.isStManager() || ds.isAdmin()' [useIcons]='true'></dxo-editing>
        <dxo-export [enabled]='true' fileName='station'></dxo-export>
        <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
        <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>
        <dxo-search-panel [visible]='true'></dxo-search-panel>

        <dxi-column caption='Code' dataField='s_code' dataType='string' [allowEditing]="false" [allowFiltering]="false"
            [visible]="!ds.isStManager()"></dxi-column>
        <dxi-column caption='Station' dataField='s_name' dataType='string' [allowEditing]="false"
            [visible]="!ds.isStManager()"></dxi-column>
        <dxi-column caption='Tank Code' dataField='st_code' dataType='string' [allowEditing]="false"
            [allowFiltering]="false"></dxi-column>
        <dxi-column caption='Code' dataField='p_code' dataType='string' [allowEditing]="false"></dxi-column>
        <dxi-column caption='Product' dataField='p_name' dataType='string' [allowEditing]="false"></dxi-column>
        <dxi-column caption='Daily' dataField='ts_variation' dataType='number' [allowFiltering]="false">
            <dxi-validation-rule type="custom" [validationCallback]="checkStock"></dxi-validation-rule>
        </dxi-column>
        <dxi-column caption='Stock' dataField='ts_quantity' dataType='number'>
            <dxi-validation-rule type="custom" [validationCallback]="checkStock"></dxi-validation-rule>
        </dxi-column>
        <dxi-column caption='Capacity' dataField='st_capacity' dataType='number' [allowEditing]="false"
            [allowFiltering]="false"></dxi-column>

        <div *dxTemplate="let data of 'stockDate'">
            <label>Stock date: </label>
        </div>
    </dx-data-grid>
</div>